Package org.openoffice.da.comp.w2lcommon.helper

# Class XPropertySetHelper

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.XPropertySetHelper

public class XPropertySetHelper extends Object
Helper class providing staic convenience methods for accesing an XPropertySet The helpers will fail silently if names or data is provided, but the user is expected to apply them with correct data only...

## Constructor Summary

Constructors
Constructor
Description
`XPropertySetHelper()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`getPropertyValue(com.sun.star.beans.XPropertySet xProps, String sName)`
`static boolean`
`getPropertyValueAsBoolean(com.sun.star.beans.XPropertySet xProps, String sName)`
`static int`
`getPropertyValueAsInteger(com.sun.star.beans.XPropertySet xProps, String sName)`
`static short`
`getPropertyValueAsShort(com.sun.star.beans.XPropertySet xProps, String sName)`
`static String`
`getPropertyValueAsString(com.sun.star.beans.XPropertySet xProps, String sName)`
`static void`
`setPropertyValue(com.sun.star.beans.XPropertySet xProps, String sName, boolean bValue)`
`static void`
`setPropertyValue(com.sun.star.beans.XPropertySet xProps, String sName, int nValue)`
`static void`
`setPropertyValue(com.sun.star.beans.XPropertySet xProps, String sName, short nValue)`
`static void`
`setPropertyValue(com.sun.star.beans.XPropertySet xProps, String sName, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XPropertySetHelper

public XPropertySetHelper()

## Method Details

### getPropertyValue

public static Object getPropertyValue(com.sun.star.beans.XPropertySet xProps, String sName)

### setPropertyValue

public static void setPropertyValue(com.sun.star.beans.XPropertySet xProps, String sName, Object value)

### getPropertyValueAsString

public static String getPropertyValueAsString(com.sun.star.beans.XPropertySet xProps, String sName)

### getPropertyValueAsInteger

public static int getPropertyValueAsInteger(com.sun.star.beans.XPropertySet xProps, String sName)

### setPropertyValue

public static void setPropertyValue(com.sun.star.beans.XPropertySet xProps, String sName, int nValue)

### getPropertyValueAsShort

public static short getPropertyValueAsShort(com.sun.star.beans.XPropertySet xProps, String sName)

### setPropertyValue

public static void setPropertyValue(com.sun.star.beans.XPropertySet xProps, String sName, short nValue)

### getPropertyValueAsBoolean

public static boolean getPropertyValueAsBoolean(com.sun.star.beans.XPropertySet xProps, String sName)

### setPropertyValue

public static void setPropertyValue(com.sun.star.beans.XPropertySet xProps, String sName, boolean bValue)